Package org.apache.axiom.blob

# Class MemoryBlobInputStream

java.lang.Object
java.io.InputStream
org.apache.axiom.blob.MemoryBlobInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public abstract class MemoryBlobInputStream extends InputStream
Input stream that doesn't throw `IOException` and that supports `InputStream.mark(int)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemoryBlobInputStream()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `available()`
  `abstract void`
  `close()`
  `abstract void`
  `mark(int readlimit)`
  `final boolean`
  `markSupported()`
  `abstract int`
  `read()`
  `abstract int`
  `read(byte[] b)`
  `abstract int`
  `read(byte[] b, int off, int len)`
  `abstract void`
  `reset()`
  `abstract long`
  `skip(long n)`

  ### Methods inherited from class java.io.InputStream

  `nullInputStream, readAllBytes, readNBytes, readNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MemoryBlobInputStream

    public MemoryBlobInputStream()

- ## Method Details

  - ### read

    public abstract int read()
    Specified by:
      `read` in class `InputStream`

  - ### read

    public abstract int read(byte[] b)
    Overrides:
      `read` in class `InputStream`

  - ### read

    public abstract int read(byte[] b, int off, int len)
    Overrides:
      `read` in class `InputStream`

  - ### skip

    public abstract long skip(long n)
    Overrides:
      `skip` in class `InputStream`

  - ### available

    public abstract int available()
    Overrides:
      `available` in class `InputStream`

  - ### close

    public abstract void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `InputStream`

  - ### markSupported

    public final boolean markSupported()
    Overrides:
      `markSupported` in class `InputStream`

  - ### mark

    public abstract void mark(int readlimit)
    Overrides:
      `mark` in class `InputStream`

  - ### reset

    public abstract void reset()
    Overrides:
      `reset` in class `InputStream`